{% extends 'core/base.html' %}
{% load i18n crispy_forms_tags %}
{# This is a generic template for all administration pages #}
{#  you can use it as it is (default for AdministrationPageMixins), or extend it in your own templates. #}

{% block sidebar-menu %}
    {% include 'common/widgets/vertical_menu.html' with menu=menus.administration htmx_target="#page-body" %}
{% endblock %}

{# No header shown #}
{% block page-header %}{% endblock %}

{% block content %}
    <div class="card">
    {% block card-header %} {# Override this if you e.g. don't want a card header #}
      <div class="card-header">
        <h3 id="card-employees-title" class="card-title">
          {% block card-title %}{{ view.get_title|default:"" }}{% endblock %}
        </h3>
        <div class="card-actions">{% block card-actions %}{% endblock %}</div>
      </div>
    {% endblock %}
    {% block card-body %} {# override this if you e.g. want no div.card-body, or a custom form #}
      {% if form %}
        <form
            method="post"
            id="admin-form-{{ view.name }}"
            enctype="multipart/form-data"
        >
          {% csrf_token %}
          <div class="card-body">
            {% crispy form %}
          </div>
        </form>
      {% endif %}
    {% endblock %}
  </div>
{% endblock %}

{% block oob %}
  {# update any divs that show tenant data... #}
{% endblock %}